Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.associations.tertius
Class IndividualInstance

    java.lang.Object
      weka.core.Instance
          weka.associations.tertius.IndividualInstance

All Implemented Interfaces:
  java.io.Serializable, Copyable

    public class IndividualInstance

extends Instance

Version:
  $Revision: 1.2.2.1 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  Serialized Form

Constructor Summary
`IndividualInstance(IndividualInstance instance)`
`IndividualInstance(Instance individual, Instances parts)`

Method Summary
`java.lang.Object` | `copy()` Produces a shallow copy of this instance.
`Instances` | `getParts()`

Methods inherited from class weka.core.Instance
`attribute, attributeSparse, classAttribute, classIndex, classIsMissing, classValue, dataset, deleteAttributeAt, enumerateAttributes, equalHeaders, hasMissingValue, index, insertAttributeAt, isMissing, isMissing, isMissingSparse, isMissingValue, main, mergeInstance, missingValue, numAttributes, numClasses, numValues, replaceMissingValues, setClassMissing, setClassValue, setClassValue, setDataset, setMissing, setMissing, setValue, setValue, setValue, setValue, setValueSparse, setWeight, stringValue, stringValue, toDoubleArray, toString, toString, toString, value, value, valueSparse, weight`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndividualInstance

    public IndividualInstance(Instance individual,
                              Instances parts)

### IndividualInstance

    public IndividualInstance(IndividualInstance instance)

Method Detail

### copy

    public java.lang.Object copy()

  Description copied from class: `Instance`
  Produces a shallow copy of this instance. The copy has access to the same dataset. (if you want to make a copy that doesn't have access to the dataset, use `new Instance(instance)`

  Specified by:
    `copy` in interface `Copyable`
  Overrides:
    `copy` in class `Instance`
  Returns:
    the shallow copy

### getParts

    public Instances getParts()

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD